<!DOCTYPE html>
<html>
  <head>
    <title>Automoto</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto+Slab:400,700,300,100">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:400,400italic,300italic,300,500,500italic,700,900">
    <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_pack_tag 'application', 'data-turbolinks-track': 'reload' %>
    <%= javascript_pack_tag 'main', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>

    <div class="main-header">
        <div class="row">
            <div class="main-header-left col-md-3 col-sm-6 col-xs-8">
                <a id="search-icon" class="btn-left fa fa-search" href="#search-overlay"></a>
                <div id="search-overlay">
                    <a href="#search-overlay" class="close-search"><i class="fa fa-times-circle"></i></a>
                    <div class="search-form-holder">
                        <h2>Type keywords and hit enter</h2>
                        <%= simple_form_for :search, url: cars_path, method: :get do |f| %>
                          <%= f.text_field :description %>
                        <% end %>
                    </div>
                </div>
            </div>

            <div class="menu-wrapper col-md-9 col-sm-6 col-xs-4">
                <a href="#" class="toggle-menu visible-sm visible-xs"><i class="fa fa-bars"></i></a>
                <ul class="sf-menu hidden-xs hidden-sm">
                    <li class="navbar-text float-right">
                      <% if user_signed_in? %>
                        Logged in as <strong><%= current_user.email %></strong>.
                        <%= link_to "Edit profile", edit_user_registration_path, :class => 'navbar-link' %> |
                        <%= link_to "Logout", destroy_user_session_path, method: :delete, :class => 'navbar-link' %>
                      <% else %>
                        <%= link_to "Sign up", new_user_registration_path, :class => 'navbar-link' %> |
                        <%= link_to "Login", new_user_session_path, :class => 'navbar-link' %>
                      <% end %>
                    </li>
                    <li><%= link_to 'Cars', cars_path %></li>
                    <li><a href="#">Contact</a></li>
                </ul>
            </div>
        </div>
    </div>

    <%= yield %>
  </body>
</html>
